Bug 204203 - ntpd: RAWDCF unsupported (releng/10.1 regression)
Summary: ntpd: RAWDCF unsupported (releng/10.1 regression)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 10.1-STABLE
Hardware: Any Any
: --- Affects Some People
Assignee: Gleb Smirnoff
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-11-01 20:27 UTC by Christian Weisgerber
Modified: 2015-11-04 12:01 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Weisgerber freebsd_committer 2015-11-01 20:27:20 UTC
On the heels of #202362, the ntp update in FreeBSD-SA-15:25.ntp has now also lost support for RAWDCF refclocks in FreeBSD 10.1 (although it has enabled a number of other, previously disabled clock drivers).

See usr.sbin/ntp/config.h in
https://security.FreeBSD.org/patches/SA-15:25/ntp-101.patch.bz2

Characteristic error as logged by ntpd:

ntpd[31710]: ntpd 4.2.8p4-a (1): Starting
ntpd[31711]: restrict default: KOD does nothing without LIMITED.
ntpd[31711]: restrict ::: KOD does nothing without LIMITED.
ntpd[31711]: PARSE receiver #0: parse_start: parse_setfmt() FAILED.
ntpd[31711]: ntpd exiting on signal 15 (Terminated)
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2015-11-01 23:37:03 UTC
Over to committer of last ntp changes.  (nb: the SVN change cited below is wrong, it should probably be 289764)
Comment 2 commit-hook freebsd_committer 2015-11-02 10:39:33 UTC
A commit references this bug:

Author: glebius
Date: Mon Nov  2 10:39:26 UTC 2015
New revision: 290269
URL: https://svnweb.freebsd.org/changeset/base/290269

Log:
  Restore RAWDCF support, that was lost during 4.2.8p4 upgrade.

  PR:		204203

Changes:
  stable/9/usr.sbin/ntp/config.h
Comment 3 commit-hook freebsd_committer 2015-11-04 11:27:32 UTC
A commit references this bug:

Author: glebius
Date: Wed Nov  4 11:27:14 UTC 2015
New revision: 290361
URL: https://svnweb.freebsd.org/changeset/base/290361

Log:
  o Fix regressions related to SA-15:25 upgrade of NTP. [1]
  o Fix kqueue write events never fired for files greater 2GB. [2]
  o Fix kpplications exiting due to segmentation violation on a correct
    memory address. [3]

  PR:		204046 [1]
  PR:		204203 [1]
  Errata Notice:	FreeBSD-EN-15:19.kqueue [2]
  Errata Notice:	FreeBSD-EN-15:20.vm [3]
  Approved by:	so

Changes:
_U  releng/10.2/
  releng/10.2/UPDATING
  releng/10.2/sys/conf/newvers.sh
  releng/10.2/sys/sys/vnode.h
  releng/10.2/sys/vm/vm_map.c
  releng/10.2/usr.sbin/ntp/config.h
Comment 4 commit-hook freebsd_committer 2015-11-04 11:27:34 UTC
A commit references this bug:

Author: glebius
Date: Wed Nov  4 11:27:22 UTC 2015
New revision: 290362
URL: https://svnweb.freebsd.org/changeset/base/290362

Log:
  o Fix regressions related to SA-15:25 upgrade of NTP. [1]
  o Fix kqueue write events never fired for files greater 2GB. [2]
  o Fix kpplications exiting due to segmentation violation on a correct
    memory address. [3]

  PR:		204046 [1]
  PR:		204203 [1]
  Errata Notice:	FreeBSD-EN-15:19.kqueue [2]
  Errata Notice:	FreeBSD-EN-15:20.vm [3]
  Approved by:	so

Changes:
_U  releng/10.1/
  releng/10.1/UPDATING
  releng/10.1/sys/conf/newvers.sh
  releng/10.1/sys/sys/vnode.h
  releng/10.1/sys/vm/vm_map.c
  releng/10.1/usr.sbin/ntp/config.h
Comment 5 commit-hook freebsd_committer 2015-11-04 11:28:41 UTC
A commit references this bug:

Author: glebius
Date: Wed Nov  4 11:27:31 UTC 2015
New revision: 290363
URL: https://svnweb.freebsd.org/changeset/base/290363

Log:
  o Fix regressions related to SA-15:25 upgrade of NTP. [1]
  o Fix kqueue write events never fired for files greater 2GB. [2]
  o Fix kpplications exiting due to segmentation violation on a correct
    memory address. [3]

  PR:		204046 [1]
  PR:		204203 [1]
  Errata Notice:	FreeBSD-EN-15:19.kqueue [2]
  Errata Notice:	FreeBSD-EN-15:20.vm [3]
  Approved by:	so

Changes:
  releng/9.3/UPDATING
_U  releng/9.3/sys/
  releng/9.3/sys/conf/newvers.sh
  releng/9.3/sys/sys/vnode.h
  releng/9.3/sys/vm/vm_map.c
_U  releng/9.3/usr.sbin/ntp/
  releng/9.3/usr.sbin/ntp/config.h
  releng/9.3/usr.sbin/ntp/ntpdc/Makefile
  releng/9.3/usr.sbin/ntp/ntpq/Makefile
Comment 6 commit-hook freebsd_committer 2015-11-04 11:52:51 UTC
A commit references this bug:

Author: glebius
Date: Wed Nov  4 11:52:13 UTC 2015
New revision: 47736
URL: https://svnweb.freebsd.org/changeset/doc/47736

Log:
  o Fix regressions related to SA-15:25 upgrade of NTP. [1]
  o Fix kqueue write events never fired for files greater 2GB. [2]
  o Fix kpplications exiting due to segmentation violation on a correct
    memory address. [3]

  PR:		204046 [1]
  PR:		204203 [1]
  Errata Notice:	FreeBSD-EN-15:19.kqueue [2]
  Errata Notice:	FreeBSD-EN-15:20.vm [3]
  Approved by:	so

Changes:
  head/share/security/advisories/FreeBSD-EN-15:19.kqueue.asc
  head/share/security/advisories/FreeBSD-EN-15:20.vm.asc
  head/share/security/advisories/FreeBSD-SA-15:25.ntp.asc
  head/share/security/patches/EN-15:19/
  head/share/security/patches/EN-15:19/kqueue.patch
  head/share/security/patches/EN-15:19/kqueue.patch.asc
  head/share/security/patches/EN-15:20/
  head/share/security/patches/EN-15:20/vm.patch
  head/share/security/patches/EN-15:20/vm.patch.asc
  head/share/security/patches/SA-15:25/ntp-101-inc.patch
  head/share/security/patches/SA-15:25/ntp-101-inc.patch.asc
  head/share/security/patches/SA-15:25/ntp-101.patch.asc
  head/share/security/patches/SA-15:25/ntp-101.patch.bz2
  head/share/security/patches/SA-15:25/ntp-101.patch.xz
  head/share/security/patches/SA-15:25/ntp-102-inc.patch
  head/share/security/patches/SA-15:25/ntp-102-inc.patch.asc
  head/share/security/patches/SA-15:25/ntp-102.patch.asc
  head/share/security/patches/SA-15:25/ntp-102.patch.bz2
  head/share/security/patches/SA-15:25/ntp-102.patch.xz
  head/share/security/patches/SA-15:25/ntp-93-inc.patch
  head/share/security/patches/SA-15:25/ntp-93-inc.patch.asc
  head/share/security/patches/SA-15:25/ntp-93.patch.asc
  head/share/security/patches/SA-15:25/ntp-93.patch.bz2
  head/share/security/patches/SA-15:25/ntp-93.patch.xz
  head/share/xml/notices.xml